package com.ghost.technic.server.card.keyword.impl;

import com.ghost.technic.server.card.keyword.KeywordEffect;
import com.ghost.technic.server.card.playable.usable.impl.CreatureCard;
import com.ghost.technic.server.game.GameActionService;

public class ElusiveEffect implements KeywordEffect {
    @Override
    public void onFight(GameActionService service, CreatureCard attacker, CreatureCard defender) {
        // First time attacked, Elusive prevents all damage to defender
        if (service.isFirstAttackAgainst(defender)) {
            service.preventDamageTo(defender);
        }
    }
}
